Subject: Re: user space virtio-net exits with "truncating packet" error

From: Or Gerlitz <[email-masked]>
Date: Wed, 20 May 2009 09:20:23 +0300

Rusty Russell wrote:
> Bit 5 = VIRTIO_NET_F_MAC (the host set the mac address)
> Bit 24 = VIRTIO_F_NOTIFY_ON_EMPTY
> You don't have any GSO or checksum offload here
Just to make sure I'm in the correct direction - I need to cause these 
offloads to be advertised by the "lower" part of virtio (e.g the qemu 
virtio code) to  the "upper" part (the quest kernel), correct? I 
understand that one of them is called front-end and the other back-end, 
but my intuitions don't go up to saying who's what...

Or.